Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2841643005: [Popular Sites] Add Variations parameter to override URL path (Closed)

Created:
2 years, 4 months ago by mastiz
Modified:
2 years, 4 months ago
Reviewers:
sfiera
CC:
chromium-reviews, noyau+watch_chromium.org, oshima+watch_chromium.org, ntp-dev+reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[Popular Sites] Add Variations parameter to override URL path This new parameter intends to replace or complement the version override param to distinguish various published versions of Popular Sites. BUG=715039 Review-Url: https://codereview.chromium.org/2841643005 Cr-Commit-Position: refs/heads/master@{#467294} Committed: https://chromium.googlesource.com/chromium/src/+/7df710ad0b5371c434f70df7d10c742b2bd6e043

Patch Set 1 #

Total comments: 4

Patch Set 2 : Rename path->directory. #

Patch Set 3 : Update ntp-tiles-internals. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+84 lines, -17 lines) Patch
M components/ntp_tiles/popular_sites.h View 1 1 chunk +1 line, -0 lines 0 comments Download
M components/ntp_tiles/popular_sites_impl.h View 1 1 chunk +1 line, -0 lines 0 comments Download
M components/ntp_tiles/popular_sites_impl.cc View 1 5 chunks +24 lines, -7 lines 0 comments Download
M components/ntp_tiles/popular_sites_impl_unittest.cc View 1 1 chunk +13 lines, -0 lines 0 comments Download
M components/ntp_tiles/pref_names.h View 1 1 chunk +1 line, -0 lines 0 comments Download
M components/ntp_tiles/pref_names.cc View 1 1 chunk +4 lines, -0 lines 0 comments Download
M components/ntp_tiles/webui/ntp_tiles_internals_message_handler.cc View 1 2 3 chunks +13 lines, -0 lines 0 comments Download
M components/ntp_tiles/webui/popular_sites_internals_message_handler.cc View 1 3 chunks +14 lines, -4 lines 0 comments Download
M components/ntp_tiles/webui/resources/ntp_tiles_internals.html View 1 2 2 chunks +4 lines, -1 line 0 comments Download
M components/ntp_tiles/webui/resources/ntp_tiles_internals.js View 1 2 2 chunks +1 line, -1 line 0 comments Download
M components/ntp_tiles/webui/resources/popular_sites_internals.html View 1 2 chunks +5 lines, -2 lines 0 comments Download
M components/ntp_tiles/webui/resources/popular_sites_internals.js View 1 3 chunks +3 lines, -2 lines 0 comments Download

Messages

Total messages: 10 (4 generated)
mastiz
2 years, 4 months ago (2017-04-25 13:05:40 UTC) #2
sfiera
LGTM except for naming of the parameter. https://codereview.chromium.org/2841643005/diff/1/components/ntp_tiles/popular_sites_impl.cc File components/ntp_tiles/popular_sites_impl.cc (right): https://codereview.chromium.org/2841643005/diff/1/components/ntp_tiles/popular_sites_impl.cc#newcode56 components/ntp_tiles/popular_sites_impl.cc:56: const char ...
2 years, 4 months ago (2017-04-25 13:35:42 UTC) #3
mastiz
PTAL! https://codereview.chromium.org/2841643005/diff/1/components/ntp_tiles/popular_sites_impl.cc File components/ntp_tiles/popular_sites_impl.cc (right): https://codereview.chromium.org/2841643005/diff/1/components/ntp_tiles/popular_sites_impl.cc#newcode56 components/ntp_tiles/popular_sites_impl.cc:56: const char kPopularSitesDefaultPath[] = "chrome/ntp/"; On 2017/04/25 13:35:42, ...
2 years, 4 months ago (2017-04-25 17:54:00 UTC) #4
sfiera
LGTM
2 years, 4 months ago (2017-04-26 08:59:59 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2841643005/40001
2 years, 4 months ago (2017-04-26 10:21:37 UTC) #7
commit-bot: I haz the power
2 years, 4 months ago (2017-04-26 11:09:22 UTC) #10
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/7df710ad0b5371c434f70df7d10c...

Powered by Google App Engine
This is Rietveld 408576698